describe("Spread testing", function() {
  let appWindow = null,
    spread = null;

  // set up app state
  before(async () => {
    cy.visit("http://localhost:1234");
    expect(true).to.equal(true);

    // get window object of application
    appWindow = await cy.window();
    // find spread instace
    spread = appWindow.GC.Spread.Sheets.findControl("ss");
  });

  it("Should find the spread instance", () => {
    expect(spread).to.be.truthy;
  });

  it("Content in Cell A1 of ActiveSheet should be 'Test application'", () => {
    let activeSheet = spread.getActiveSheet();
    let valInCellA1 = activeSheet.getValue(0, 0);

    expect(valInCellA1).to.eq("Test application");
  });

});
